upgrade REP 12.5 to REP 12.6 + RSSD

Looking to upgrade REP Server 12.5 to Rep 12.6 on Linux RHES,we are 
using RSSD in  ASE vers 12.5.0.1 . My plan is to upgrade the Rep and 
late on the ASE/RSSD to 12.5.3 will this work?
Also I'm looking for the steps to perform this  Rep upgrade , will the 
following be correct ?
- install REP 12.6 software in separe directorie
  -Shutdown Rep Server 12.5.
- Point to the new Rep Server 12.6 directories/environment variables.
-  Run rs_init and choose to upgrade an existing Rep Server.
How about RSSD/ASE anything should I run ??

Thank you fro your help,
Isabella
0
Isabella
4/12/2007 9:19:22 PM
sybase.rep-server 2969 articles. 1 followers. Follow

1 Replies
599 Views

Similar Articles

[PageSpeed] 59

There are 2 different operations you need to address:

====================

1 - upgrade RS from 12.5 to 12.6

See the RS Configuration guide for your platform for details (there should be a chapter for upgrading/downgrading an 
existing RS).

When you upgrade an RS you need to upgrade the associated RSSD.

In this case the *UPGRADE* of the RSSD consists of possible changes to the components that reside in the RSSD (eg, 
modification of a table or stored proc, addition of a new table, etc.)

Unless stated in the RS Configuration guide this typically does *not* require the RSSD's ASE to be upgraded.

 From the RS Configuration guide you'll also see that an RS upgrade will require that all databases managed by the RS 
also be upgraded.

Again, this *UPGRADE* has to do with insuring RS-specific components (eg, repagent) are up to date in the databases ... 
and typically has *nothing* to do with the upgrade of an ASE.

Again, read through the RS 12.6 Configuration guide, paying attention to the chapter on upgrading an RS, for details as 
to what needs to be upgraded, and how to perform said upgrade.

====================

2 - upgrade ASE from 12.5.0.1 to 12.5.3

See the ASE Installation guide for your platform for details.

You can typically upgrade the ASE without adverselty affecting the RS environment.

There are a few special steps you need to perform for replicated databases (eg, draining the transaction logs), but this 
is addressed in the ASE Installation guide.

====================

Which operation you perform first is up to you.

Generally speaking I'd suggest you look through the 2 manuals that have already been mentioned, along with the 
associated Release Bulletins and README files ... objective being to understand all of the steps required to 
successfully perform the desired upgrades.

Also take note that with widely differing versions of software (eg, RS 12.6 and ASE 12.5.0.1) you may find that some of 
the newer RS 12.6 features are *not* supported by ASE 12.5.0.1 ... this is ok, it just means that you'll see messages in 
your server errorlogs about mismatches in LTL/LTI levels and that the lowest LTL/LTI level will be used.


Isabella wrote:
> Looking to upgrade REP Server 12.5 to Rep 12.6 on Linux RHES,we are 
> using RSSD in  ASE vers 12.5.0.1 . My plan is to upgrade the Rep and 
> late on the ASE/RSSD to 12.5.3 will this work?
> Also I'm looking for the steps to perform this  Rep upgrade , will the 
> following be correct ?
> - install REP 12.6 software in separe directorie
>  -Shutdown Rep Server 12.5.
> - Point to the new Rep Server 12.6 directories/environment variables.
> -  Run rs_init and choose to upgrade an existing Rep Server.
> How about RSSD/ASE anything should I run ??
> 
> Thank you fro your help,
> Isabella
0
Mark
4/12/2007 10:22:38 PM
Reply:

Similar Artilces:

Rep Server 12.5 -> 12.6 Upgrade
Hi, I am scheduled, as part of a big upgrade, to upgrade Rep Server from 12.5 -> 12.6. From what I know I need to do this: 1) Shutdown Rep Server 12.5. 2) Point to the new Rep Server 12.6 directories/environment variables. 3) Run rs_init and choose to upgrade an existing Rep Server. Is that about it? Shahryar -- Shahryar G. Hashemi | Sr. DBA Consultant InfoSpace, Inc. 601 108th Ave NE | Suite 1200 | Bellevue, WA 98004 USA Mobile +1 206.459.6203 | Office +1 425.201.8853 | Fax +1 425.201.6150 shashem@infospace.com | www.infospaceinc.com This e-ma...

rep server 12.1 and ase 12.5.3 rep agent not starting
Dear all, Here is the scenario.. Machine 1. -Rep server ver 12.1 -ASE 12.5.3 having ---A. RSSD db ---B. Replicate dbs Primary databases are on different machines each with ASE 12.5.3. The primary sql server names are the same but the interface file entry in Machine 1 has different names for each. eg. Machine1 ASE server name test1 Rep server name rep1 Interface file entries: [test1] master=TCP,10.1.1.160,2048 query=TCP,10.1.1.160,2048 [rep1] master=TCP,10.1.1.160,4500 query=TCP,10.1.1.160,4500 [primary1] master=TCP,10.1.1.161,2048 query=TCP,10.1.1.161,2048 ...

ASE 12.0.0.6 to ASE 12.5 and Rep Server 12.1
We are planning the upgrade of our ASE 12.0.0.6 64bit on AIX 4.3.3 to ASE 12.5 64bit on AIX 4.3.3. We are also using Rep Server 12.1 with these two servers. My question is do I need to upgrade Rep Server as well, or will 12.1 Rep Server Work with ASE 12.5. Also, we will be upgrading AIX to 5.1 as well. Any advice is appreciated. Thanks, Troy It will work, however you wont be able to use any of the 12.5 new datatypes, and the rep_agents will spit out annoying error/warning messages everytime they are restarted. Our production system has been running that way for about ye...

Using Rep Server 12.5 between 11.9.2 and 12.5.1
How I can replicate data between ASE 11.9.2 and ASE 12.5.1 using Replication Server 12.5 on UNIX 2.8 <JC> wrote in message news:4193beb8.2e2d.1681692777@sybase.com... > How I can replicate data between ASE 11.9.2 and ASE 12.5.1 > using Replication Server 12.5 on UNIX 2.8 This should be no problem at all -- the different versions I mean. If your questions aims at explaining how replication actually works and how to set it up (i.e. not version-specific stuff), then I recommend you read the docs at sybooks.sybase.com/rs.html. HTH, Rob ------------------------------...

Any ASE 12.5 Rep Server 12.0 Linux users out there?
Has anyone successfully implemented ASE 12.5 and Rep Server 12.0 on Linux RH kernel 2.2.18? If so, have you had any problems? Did you use raw devices or files for your stable queue devices and what size are they? We are evaluating these products for a critical 24x7 web based order entry system. Any feedback would be welcomed. Thanks. -- Carl P. Moritz (203)925-7292 Database/EDI Administrator Iroquois Gas Transmission System Hi, We already implemented ASE 12.5 and Rep Server 12.0 on Linux, and we are using operating system files for stable queue and it is workin...

Rep 12.5 and ASE 12 ?
Hi, Are there any issues with running Repserver 12.5 against ASE 12.1 in a warm standby setup ? We have installed the REP-12_5 binaries, but encounter the following error ld.so.1: ./rs_init: fatal: libct_r.so: open failed - do we need to install the 12.5 Open Client also ? Any help gratefully received! Thanks, Tricia. yes, rep 12.5 needs the 12.5 OCS libs they are on the CD with the repserver <Tricia> wrote in message news:3f53759d.579e.846930886@sybase.com... > Hi, > > Are there any issues with running Repserver 12.5 against > ASE 12.1 in a warm ...

Problem with ASE 12.5.3 and Rep Server RSSD
We've recently upgraded to ASE 12.5.3 and since then we've had a few occasions where dump tran processes have hung . This then stops any subsequent dumps not to work and the tran log fills up. This has only happended on the the server that holds the RSSD for our replication server running on the same box. Thanks Adam ...

Upgrade Rep Server from 12.6 to 15.0.1
Server A: Active ASE 12.5.1 Server B: WSB ASE 12.5.1 and Rep Server 12.6 Since we don't have a test environment, I have to ask several questions about upgrade Rep Server from 12.6 to 15.0.1. 1. Do I have to install software under current rep server directory? (Current rep server is located under /sybase/REP126, Current WSB ASE server is located under /sybase/ASE125) 2. Do I need to shutdown (or put in single user mode) Active and WSB ASE servers during upgrade? During Rep Server installation 3. Do I need to install "Sybase Software Asset Management" even if ...

Rep server 12.5.6 on RH ES 3
Hi, did anyone installed Rep server 12.6 /32 bits on RH ES v3, are any known issues I should be aware , any specific cfg parameters...? thanks a lot, Isabella You should post this question in the sybase.public.rep-server forum. Mark Kusma http://www.sybase.com/support/aboutsupport/otherservices "Isabella Ghiurea" <ighiurea@vic.hia.nrc.ca> wrote in message news:42791d33$1@forums-2-dub... > Hi, > did anyone installed Rep server 12.6 /32 bits on RH ES v3, are any known > issues I should be aware , any specific cfg parameters...? > > thanks a ...

REP AGENT problem after upg to ASE12.5 and REP 12.1
After we upgraded to ASE12.5 and REP12.1 we're experiencing a problem related to the rep agent.every 15 minutes after hour it cannont keep up the log (for 10 minutes it practically stop to read from the log) We increase the maxmemory of REPServer to 400M and the scan_batch_size to 10000. Do you have any suggestion why it can't keep up the log only for a certain period? Thanks in advance.... ...

ASE 12.5 and Rep Server 11.5
Does anybody know if there are any problems using ASE 12.5 and Rep Server 11.5?? We are about to upgrade from ASE 11.5.1 but want to make sure that there are no problems. We plan to upgrade Rep server also but one thing at a time. thanks William Lowers First off you'll get better performance with RS 12.1 with ASE 12.5. Does Sybase even still support RS 11.5? If you are going to take advantage of any of the new ASE 12.5 features then you will have to use RS 12.1 in order to replicate things like Java Objects, etc. There are also improvements with RS Manager and new AL...

Rep 12.0 and ASE 12.5
I am running 12.5 on Solaris. $SYBASE_OCS has been set to OCS-12_5. While installing Repserver 12.0, it did ask for overwriting the open client/language. Repserver installed with no to all. Now while running rs_init I get Using rs_init to create a new Replication Server. rs_init fails with the following message: INTERNAL ERROR: Unable to load messages for product 'rs' using language 'us_english' and character set 'iso_1': could not locate the localization file '/usr/local/sybase/locales/us_english/iso_1/sybinit/rs.loc'. How do I need to fix ...

Rep Server 12.1 fails to start after Upgrading SQL Server
Hi Gurus, We upgraded our ASE Server from 12.5.0.3 to ASE 15.0.1. The upgrade went well except for one glitch, the Rep Server fails to Start. We are using Rep Server 12.1. The error we are receiving in the Rep Server error log is as follows : I. 2006/10/26 10:28:58. Reading 'WICTEST3.RSSD..rs_config' for system configuration parameters. E. 2006/10/26 10:28:58. ERROR #31083 GLOBAL RS(GLOBAL RS) - (1708) Cannot connect to RSSD server. ct_connect failed. E. 2006/10/26 10:28:58. ERROR #1027 GLOBAL RS(GLOBAL RS) - (1708) Open Client Client-Library error: Error: 8408371...

migration/upgrade to REP 12.5
I am in the process of planning my upgrade from REP 11.5 to 12.5. I have been looking for documentation that will help in this migration -- i.e. problems and pre-upgrade tasks -- but have found nothing but the install documentation. Does anyone have a link to where I can find this information? Thank a lot William, In addition to the installation guide (found at http://manuals.sybase.com:80/onlinebooks/group-rs/rsp1250e/@Generic__CollectionView;pt=rsr1250e), please also look at the release bulletin (found at http://manuals.sybase.com:80/onlinebooks/group-rs/rsr1250e/@Gene...

Web resources about - upgrade REP 12.5 to REP 12.6 + RSSD - sybase.rep-server

Windows Anytime Upgrade - Wikipedia, the free encyclopedia
Windows Anytime Upgrade (WAU) was an upgrade method offered by Microsoft and selected licensed resellers to users who intended to upgrade their ...


President Obama's Facebook Page Upgrades To Timeline
Yes, we can upgrade to timeline. U.S. President Barack Obama's Facebook page has the new layout.

Update on Android Ice Cream Sandwich upgrades
HTC has been working hard to get its Ice Cream Sandwich upgrades ready, and we’re excited to announce that our first round of ICS upgrades will ...

Four Reasons to Upgrade to the New Share Dialog for iOS
... as friend tagging and privacy controls. 2. A faster and more native sharing experience Pinterest and popular iOS game 4 Pics 1 Word upgraded ...

More Streams: Facebook to Upgrade App Directory, App About Pages Soon
Over 50,000 applications have been added to the Facebook application directory since it first launched two years ago, and Facebook says it’s ...

Search Twitter - upgrade
... here Search Refresh Laura Tobin @ Lauratobin1 2m The only way to get through today is chocolate, I'm going to start small with baby & upgrade ...

Brain Upgrade - Improve Concentration and Relieve Stress! on the App Store on iTunes
Get Brain Upgrade - Improve Concentration and Relieve Stress! on the App Store. See screenshots and ratings, and read customer reviews.

upgrade - Flickr - Photo Sharing!
... Flickr. We noticed that you may be using an unsupported browser. All the basics will still work, but to get the most out of Flickr please upgrade ...

How to Upgrade your MacBook PRO to a SSD (Solid State Hard Drive) - YouTube
Follow me on twitter : http://twitter.com/sakitechonline Follow me on facebook: http://goo.gl/R95Pq Website: http://www.sakitechonline.com Create ...

Resources last updated: 1/19/2016 12:56:00 PM